<?php
/* Google Sitemap  Plugin for GuppY is GPL  Copyright (C) 2006 by Hpsam
*   Hpsam Web site = http://www.hpsam.info
*/
 if (stristr($_SERVER["SCRIPT_NAME"], "function.inc")) {
  header("location:../index.php");
  die();
}
define("GS_DATA",CHEMIN.DATAREP."plugins/gsitemap/");
define("GS_CONFIG", GS_DATA."config_gs.inc");
include(CHEMIN.'admin/plugins/gsitemap/lang/'.$lng.'-gs_admin.inc');
@include(GS_CONFIG);

// Cration des des checkbox
function GSCreateCheckBox($texte,$name,$valeur) {
 $checkboxcode = '<li><label for="'.$name.'">'.$texte.'</label> <input type="checkbox" id="'.$name.'" name="'.$name.'"';
 if ($valeur) $checkboxcode .= ' checked="checked"';
 $checkboxcode .= " style=\"vertical-align:middle\" /></li>\n";
 echo $checkboxcode;
}
// Cration du contenu xml  partir d'une liste d'id et d'une adresse de page
function GSCreateXmlFromDB($fields, $page) {
  global $xml0, $xml1, $lang, $site, $ISOcode;
  for ($i = 0; $i < count($fields); $i++) {
    $xml0 .= "<url>\n";
    $xml0 .= '<loc>'.EncodeISO($site[3].$page.$fields[$i].'&lng='.$lang[0],$ISOcode)."</loc>\n";
		$lastmod = "";
    if (filemtime(DBBASE.$fields[$i].INCEXT)) {
      $lastmod = date("Y-m-d",filemtime(DBBASE.$fields[$i].INCEXT));
      $xml0 .= '<lastmod>'.$lastmod."</lastmod>\n";
    }
    $xml0 .= "<changefreq>weekly</changefreq>\n";
    $xml0 .= "<priority>0.5</priority>\n";
    $xml0 .= "</url>\n";
    if ($lang[1] != "") {
      $xml1 .= "<url>\n";
      $xml1 .= '<loc>'.EncodeISO($site[3].$page.$fields[$i].'&lng='.$lang[1],$ISOcode)."</loc>\n";
      if ($lastmod != "") {
        $xml1 .= '<lastmod>'.$lastmod."</lastmod>\n";
      }
      $xml1 .= "<changefreq>weekly</changefreq>\n";
      $xml1 .= "<priority>0.5</priority>\n";
      $xml1 .= "</url>\n";
    }
		echo "* ";
  }
}
// Cration du contenu xml pour une page en particulier
function GSCreateXmlFromURL($page) {
  global $xml0, $xml1, $lang, $site, $ISOcode;
  $xml0 .= "<url>\n";
  $xml0 .= '<loc>'.EncodeISO($site[3].$page.'&lng='.$lang[0],$ISOcode)."</loc>\n";
  if (filemtime(CHEMIN.$page)) {
    $lastmod = date("Y-m-d",filemtime(CHEMIN.$page));
    $xml0 .= '<lastmod>'.$lastmod."</lastmod>\n";
  }
  $xml0 .= "<changefreq>weekly</changefreq>\n";
  $xml0 .= "<priority>1</priority>\n";
  $xml0 .= "</url>\n";
  if ($lang[1] != "") {
    $xml1 .= "<url>\n";
    $xml1 .= '<loc>'.EncodeISO($site[3].$page.'&lng='.$lang[1],$ISOcode)."</loc>\n";
    if (isset($lastmod)) {
      $xml1 .= '<lastmod>'.$lastmod."</lastmod>\n";
    }
    $xml1 .= "<changefreq>weekly</changefreq>\n";
    $xml1 .= "<priority>1</priority>\n";
    $xml1 .= "</url>\n";
  }
}
// Cration du contenu xml  partir d'un fichier local contenant 1 url par ligne
function GSCreateXmlFromFile($fileurl) {
  global $ISOcode;
	$listeurl = file($fileurl);
	$xmltemp = "";
	foreach($listeurl as $url){
	  if (eregi("^http://", $url) || eregi("^https://", $url)) {
    	$xmltemp .= "<url>\n";
  		$xmltemp .= '<loc>'.EncodeISO($url,$ISOcode)."</loc>\n";
  		$xmltemp .= "<changefreq>weekly</changefreq>\n";
  		$xmltemp .= "<priority>0.5</priority>\n";
  		$xmltemp .= "</url>\n";
			echo "* ";
  	}
	}
	return $xmltemp;
}
// Cration du contenu xml de l'index  partir d'un fichier local contenant 1 url par ligne
function GSCreateXmlIndexFromFile($fileurl) {
  global $ISOcode;
	$listeurl = file($fileurl);
	$xmltemp = "";
	foreach($listeurl as $url){
	  if (eregi("^http://", $url) || eregi("^https://", $url)) {
    	$xmltemp .= "<sitemap>\n";
  		$xmltemp .= '<loc>'.EncodeISO($url,$ISOcode)."</loc>\n";
  		$xmltemp .= "</sitemap>\n";
			echo "<br />\n- $url";
  	}
	}
	return $xmltemp;
}
?>